/*****************************************************************************/
#include "pic18f6680.h"
/*****************************************************************************/

esint8 initInterface()
{
	euint32 sc;
	
	printf((rom char*)"Configuring Buad Rate for SD-Card Initialization...\n\r");
	/* Set the SPI in a slow mode for SD-Card-Configuration.
 	100 kHz < Fscl < 400 kHz. Use Timer2 as clock input */
	/*OpenTimer2( TIMER_INT_OFF &
				T2_PS_1_1 &
			  	T2_POST_1_1);*/
			
	/* Set Period Register PR2 to 25 (0x19) = 100 kHz*/
	//PR2 = 0x19;
	
	/* configure the SPI-interface for timer2 usage */
	//OpenSPI(SPI_FOSC_TMR2, MODE_11, SMPMID);
	OpenSPI(SPI_FOSC_64, MODE_11, SMPMID);
	
	if(SD_Init())	{
		printf((rom char*)"SD-Card failed to init, breaking up...\n\r");
		return(-1);
	}
	
	/*SD_GetDriveSize(file, &sc);
	file->sectorCount = sc/512;
	if( (sc%512) != 0) {
		file->sectorCount--;
	}
	printf("Drive Size is %lu Bytes (%lu Sectors)\n", sc, file->sectorCount));*/
	
	/* Disable Timer2 */
	//CloseTimer2();
	
	/* Switch to the fastest possible communication mode */
	OpenSPI(SPI_FOSC_4, MODE_11, SMPMID);
	
	printf((rom char*)"Init done...\n\r");
	return(0);
}

/*****************************************************************************/ 


